godo.Databases.UpdateAdvancedMySQLConfig()

Generated on 5 Nov 2026 from godo version v1.236.0

Usage

client.Databases.UpdateAdvancedMySQLConfig(ctx context.Context, databaseID string, config *godo.AdvancedMySQLConfigUpdate) (*godo.Response, error)

Description

UpdateAdvancedMySQLConfig updates the config for an advanced_mysql database cluster.

This method sends a PATCH request to /v2/databases/{}/config.

Parameters

databaseID string required
config *godo.AdvancedMySQLConfigUpdate required

Fields of godo.AdvancedMySQLConfigUpdate

AdvancedMySQLConfigUpdate is the PATCH payload for advanced_mysql database clusters.

MySQLParameters map[string]string

Omitted from JSON when empty. JSON key: mysql_parameters

Returns

*godo.Response

The HTTP response, with pagination Links, Meta, and Rate limit information.

error

Non-nil when the request fails. API errors are returned as *godo.ErrorResponse.

Fields of godo.Response

Response is a DigitalOcean response. This wraps the standard http.Response returned from DigitalOcean.

Response *http.Response
Links *godo.Links

Links that were returned with the response. These are parsed from
request body and not the header.

Meta *godo.Meta

Meta describes generic information about the response.

Monitor string

Monitoring URI

Rate godo.Rate

Request Sample

Show Request Sample
package main

import (
	"context"
	"log"
	"os"

	"github.com/digitalocean/godo"
)

func main() {
	client := godo.NewFromToken(os.Getenv("DIGITALOCEAN_TOKEN"))
	ctx := context.TODO()

	_, err := client.Databases.UpdateAdvancedMySQLConfig(ctx, "<your-database-id>", &godo.AdvancedMySQLConfigUpdate{})
	if err != nil {
		log.Fatal(err)
	}
}

More Information

See PATCH /v2/databases/{}/config in the API reference for additional detail on responses, headers, parameters, and more.

See the Go package documentation for the source of this method.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.